﻿@page
@model Website.Pages.brand.EditModel
@using Entities
@{
    ViewData["Title"] = "Edit Brand";
}

<div class="row text-start">
    <p>
        <a href="/" class="link-primary text-decoration-none">Home</a>
        >
        <a href="/brand" class="link-primary text-decoration-none">Brand</a>
        >
        <a href="/brand/edit?id=@Model.brand.ID" class="link-primary text-decoration-none">Edit</a>
    </p>
</div>
<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="col-sm-6 text-start fw-bold">Brand attributes</p>
        @if (Model.IsEdited)
        {
            if (string.IsNullOrEmpty(Model.StrInfo))
            {
                <p class="col-sm-6 text-end text-success fw-bold">Edited brand successfully</p>
            }
            else
            {
                <p class="col-sm-6 text-end text-danger fw-bold">@Model.StrInfo</p>
            }
        }
    </div>

    <form class="row g-3 mb-2" method="post">
        <div class="col-md-4">
            <label for="id" class="form-label">Brand ID</label>
            <input class="form-control" type="text" id="id" name="id" value="@Model.brand.ID" placeholder="Brand ID" maxlength="30" required>
        </div>
        <div class="col-md-4">
            <label for="name" class="form-label">Brand Name</label>
            <input class="form-control" type="text" id="name" name="name" value="@Model.brand.Name" placeholder="Brand Name" maxlength="30" required>
        </div>
        <div class="col-md-4 d-sm-flex align-items-end justify-content-end pb-1">
            <input class="btn btn-sm btn-warning text-light" type="submit" value="Edit">
        </div>
    </form>
</div>

<div class="border border-secondary rounded px-3 mb-3">
    <div class="row pt-2">
        <p class="text-start fw-bold">Current brand attributes</p>
    </div>
    <div class="text-center table_section">

        <table class="table table-bordered table-striped table-hover align-middle">
            <thead>
                <tr>
                    <th>Brand ID</th>
                    <th>Brand Name</th>
                </tr>
            </thead>

            <tbody>
                <tr>
                    <td>@Model.brand.ID</td>
                    <td>@Model.brand.Name</td>
                </tr>
            </tbody>
        </table>
    </div>
</div>
